//
//  TestView.m
//  Created by Ricci Adams on 2012-02-02.
//

#import "TestView.h"

@implementation TestView


static UIImage *GetTileImage()
{
    UIImage *result = [UIImage imageNamed:@"debug_kitty"];
    return [UIImage imageWithCGImage:[result CGImage] scale:2.0 orientation:UIImageOrientationUp];
}


- (id) initWithFrame:(CGRect)frame
{
    if ((self = [super initWithFrame:frame])) {
        m_contentContainerView = [[UIView alloc] initWithFrame:CGRectMake(16, 16, 288, 336)];
        [self addSubview:m_contentContainerView];

        m_tileContainerView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 368)];
        [m_tileContainerView setClipsToBounds:YES];
        [self insertSubview:m_tileContainerView belowSubview:m_contentContainerView];

        UIColor *patternColor = [UIColor colorWithPatternImage:GetTileImage()];
        UIView  *patternView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 288, 336)];
        [patternView setBackgroundColor:patternColor];
        [m_contentContainerView addSubview:patternView];

        [self setupTiles];
    }

    return self;
}   


- (void) setupTiles
{
    UIImage *tileImage = GetTileImage();

    UIView *row1 = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 256)];
    UIView *row2 = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 256)];

    UIImageView *imageView1 = [[UIImageView alloc] initWithImage:tileImage];
    UIImageView *imageView2 = [[UIImageView alloc] initWithImage:tileImage];
    UIImageView *imageView3 = [[UIImageView alloc] initWithImage:tileImage];
    UIImageView *imageView4 = [[UIImageView alloc] initWithImage:tileImage];

    [imageView1 setFrame:CGRectMake(0,   0, 256, 256)];
    [imageView2 setFrame:CGRectMake(256, 0, 256, 256)];
    [imageView3 setFrame:CGRectMake(0,   0, 256, 256)];
    [imageView4 setFrame:CGRectMake(256, 0, 256, 256)];

    [row1 addSubview:imageView1];
    [row1 addSubview:imageView2];
    [row2 addSubview:imageView3];
    [row2 addSubview:imageView4];

    [m_tileContainerView addSubview:row1];
    [m_tileContainerView addSubview:row2];
}

@end
